# $Revision: 1.23 $, $Date: 2008/07/27 22:29:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	MakeMethods
Summary:	Class::MakeMethods - generate common types of methods
Summary(pl.UTF-8):	Class::MakeMethods - generowanie ogólnych typów metod
Name:		perl-Class-MakeMethods
Version:	1.01
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Vendor:		M. Simon Cavalletto <simonm@cavalletto.org>
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	838c98dcf1b1fff4c5d8cffaec32ebbb
URL:		http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.readme
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	%{name}-Template = 1.005
Obsoletes:	%{name}-Template < 1.005
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# this belongs to unfinished code - we have no choice...
%define		_noautoreq	'perl(Class::MakeMethods::Template::Array)'

%description
The Class::MakeMethods framework allows Perl class developers to
quickly define common types of methods. When a module uses a subclass
of Class::MakeMethods, it can select from the supported method types,
and specify a name for each method desired. The methods are
dynamically generated and installed in the calling package.

%description -l pl.UTF-8
Szkielet Class::MakeMethods umożliwia deweloperom Perla szybkie
definiowanie ogólnych typów metod. Gdy moduł korzysta z podklasy
klasy Class::MakeMethods, może on dokonywać wyboru spośród wspieranych
typów metod i podaje nazwę każdej z żądanych metod. Metody są
generowane dynamicznie i instalowane w pakiecie, który je wywołuje.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -pi -e 's/^(require 5.003)(07;)(.*)$/$1_$2$3/' MakeMethods.pm

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Class/MakeMethods.pm
%dir %{perl_vendorlib}/Class/MakeMethods
%{perl_vendorlib}/Class/MakeMethods/*.pm
%{perl_vendorlib}/Class/MakeMethods/Basic
%{perl_vendorlib}/Class/MakeMethods/Composite
%{perl_vendorlib}/Class/MakeMethods/Emulator
%{perl_vendorlib}/Class/MakeMethods/Evaled
%{perl_vendorlib}/Class/MakeMethods/Standard
%{perl_vendorlib}/Class/MakeMethods/Template
%{perl_vendorlib}/Class/MakeMethods/Utility
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-MakeMethods.spec,v $
Revision 1.23  2008/07/27 22:29:19  arekm
- release 2

Revision 1.22  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.20  2004/11/03 22:30:10  paladine
- formatting

Revision 1.19  2004/11/01 21:40:20  adamg
- updated to 1.01

Revision 1.18  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/06 18:43:05  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/18 16:56:35  ankry
- license fixes and unification

Revision 1.15  2003/11/16 15:15:55  migo
- up to 1.009, bew bcond style

Revision 1.14  2003/09/15 08:17:15  adamg
- updated to 1.008

Revision 1.13  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.12  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/07/09 15:14:27  ankry
- sync with RA-branch
- rel. 4

Revision 1.10  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.5  2003/02/20 23:25:05  ankry
- updated to 1.006
- remover docs available as manpages

Revision 1.4  2003/02/18 15:28:08  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/28 15:40:16  ankry
- cleaning

Revision 1.2  2002/09/14 18:28:24  ankry
- fix perl version required, release 2

Revision 1.1  2002/08/26 12:56:14  ankry
- initial release, STBR
